package com.hotent.project.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 任务定制-监审项目文书表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-09
 */
@ApiModel(value="CostProjectTaskDocumentData对象", description="任务定制-监审项目文书表")
public class CostProjectTaskDocumentData extends BaseModel<CostProjectTaskDocumentData> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @JsonProperty("id")
    private String id;
    
    @ApiModelProperty(value = "监审项目ID")
    @TableField("project_id")
    @JsonProperty("projectId")
    private String projectId;
    
    @ApiModelProperty(value = "项目文书id")
    @TableField("project_document_id")
    @JsonProperty("projectDocumentId")
    private String projectDocumentId;
    
    @ApiModelProperty(value = "数据值")
    @TableField("data_text")
    @JsonProperty("dataText")
    private String dataText;
    
    @ApiModelProperty(value = "描述")
    @TableField("remarks")
    @JsonProperty("remarks")
    private String remarks;
    
    @ApiModelProperty(value = "逻辑删除：0正常 1已删除")
    @TableField("is_deleted")
    @JsonProperty("isDeleted")
    private Boolean isDeleted;
    
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @JsonProperty("createTime")
    private LocalDateTime createTime;
    
    @ApiModelProperty(value = "创建人")
    @TableField("create_by")
    @JsonProperty("createBy")
    private String createBy;
    
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;
    
    @ApiModelProperty(value = "更新人")
    @TableField("update_by")
    @JsonProperty("updateBy")
    private String updateBy;
    
    @ApiModelProperty(value = "序号")
    @TableField("order_num")
    @JsonProperty("orderNum")
    private Integer orderNum;
    
    @ApiModelProperty(value = "标签key")
    @TableField("label_key")
    @JsonProperty("labelKey")
    private String labelKey;
    
    @ApiModelProperty(value = "标签value")
    @TableField("label_value")
    @JsonProperty("labelValue")
    private String labelValue;
    
    @ApiModelProperty(value = "数据key")
    @TableField("data_key")
    @JsonProperty("dataKey")
    private String dataKey;
    
    @ApiModelProperty(value = "数据value")
    @TableField("data_value")
    @JsonProperty("dataValue")
    private String dataValue;
    
    @ApiModelProperty(value = "任务id")
    @TableField("task_id")
    @JsonProperty("taskId")
    private String taskId;
    

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
    public String getProjectDocumentId() {
        return projectDocumentId;
    }

    public void setProjectDocumentId(String projectDocumentId) {
        this.projectDocumentId = projectDocumentId;
    }
    public String getDataText() {
        return dataText;
    }

    public void setDataText(String dataText) {
        this.dataText = dataText;
    }
    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }
    public Boolean getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Boolean isDeleted) {
        this.isDeleted = isDeleted;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }
    public String getLabelKey() {
        return labelKey;
    }

    public void setLabelKey(String labelKey) {
        this.labelKey = labelKey;
    }
    public String getLabelValue() {
        return labelValue;
    }

    public void setLabelValue(String labelValue) {
        this.labelValue = labelValue;
    }
    public String getDataKey() {
        return dataKey;
    }

    public void setDataKey(String dataKey) {
        this.dataKey = dataKey;
    }
    public String getDataValue() {
        return dataValue;
    }

    public void setDataValue(String dataValue) {
        this.dataValue = dataValue;
    }
    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CostProjectTaskDocumentData{" +
            "id=" + id +
            ", projectId=" + projectId +
            ", projectDocumentId=" + projectDocumentId +
            ", dataText=" + dataText +
            ", remarks=" + remarks +
            ", isDeleted=" + isDeleted +
            ", createTime=" + createTime +
            ", createBy=" + createBy +
            ", updateTime=" + updateTime +
            ", updateBy=" + updateBy +
            ", orderNum=" + orderNum +
            ", labelKey=" + labelKey +
            ", labelValue=" + labelValue +
            ", dataKey=" + dataKey +
            ", dataValue=" + dataValue +
            ", taskId=" + taskId +
        "}";
    }
}
